// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include "module.h"

namespace Module {

class Actor : public Module {
public:
    Actor(const std::shared_ptr<Core>& core, const std::shared_ptr<Connection>& connection, const Permissions& permissions);
    ~Actor() noexcept;

    virtual void message(const std::shared_ptr<::Actor>& actor, const Tokens& args) override;

private:
    std::string list();
};

}
